Debian Bug report logs - #708654
ITP: unittest-xml-reporting -- Python unittest-based test runner with Ant/JUnit like XML reporting

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonathan Wiltshire <jmw@tiger-computing.co.uk>

Date: Fri, 17 May 2013 14:21:11 UTC

Owned by: Jonathan Wiltshire <jmw@tiger-computing.co.uk>

Severity: wishlist

Fixed in version unittest-xml-reporting/1.5.0-1

Done: Jonathan Wiltshire <jmw@tiger-computing.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jmw@tiger-computing.co.uk, debian-devel@lists.debian.org, debian-python@lists.debian.org, wnpp@debian.org:
Bug#708654; Package wnpp. (Fri, 17 May 2013 14:21:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@tiger-computing.co.uk>:
New Bug report received and forwarded. Copy sent to jmw@tiger-computing.co.uk, debian-devel@lists.debian.org, debian-python@lists.debian.org, wnpp@debian.org. (Fri, 17 May 2013 14:21:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@tiger-computing.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: unittest-xml-reporting -- Python unittest-based test runner with Ant/JUnit like XML reporting
Date: Fri, 17 May 2013 15:19:45 +0100
Package: wnpp
Severity: wishlist
Owner: Jonathan Wiltshire <jmw@tiger-computing.co.uk>

* Package name    : unittest-xml-reporting
  Version         : 1.4.3
  Upstream Author : Daniel Fernandes Martins
* URL             : https://pypi.python.org/pypi/unittest-xml-reporting
* License         : GPL-3+
  Programming Lang: Python
  Description     : Python unittest-based test runner with Ant/JUnit like
                    XML reporting

unittest-xml-reporting is a unittest test runner that can save test results
to XML files that can be consumed by a wide range of tools, such as build
systems, IDEs and continuous integration servers.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 03 Jun 2013 20:06:10 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Wiltshire <jmw@tiger-computing.co.uk>:
You have taken responsibility. (Mon, 05 Aug 2013 01:03:18 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Wiltshire <jmw@tiger-computing.co.uk>:
Bug acknowledged by developer. (Mon, 05 Aug 2013 01:03:18 GMT) Full text and rfc822 format available.

Message #12 received at 708654-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@tiger-computing.co.uk>
To: 708654-close@bugs.debian.org
Subject: Bug#708654: fixed in unittest-xml-reporting 1.5.0-1
Date: Mon, 05 Aug 2013 01:00:08 +0000
Source: unittest-xml-reporting
Source-Version: 1.5.0-1

We believe that the bug you reported is fixed in the latest version of
unittest-xml-reporting, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708654@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@tiger-computing.co.uk> (supplier of updated unittest-xml-reporting package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 03 Jun 2013 16:55:01 +0100
Source: unittest-xml-reporting
Binary: python-xmlrunner
Architecture: source all
Version: 1.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Jonathan Wiltshire <jmw@tiger-computing.co.uk>
Description: 
 python-xmlrunner - PyUnit-based test runner with JUnit like XML reporting
Closes: 708654
Changes: 
 unittest-xml-reporting (1.5.0-1) unstable; urgency=low
 .
   * New upstream release (Closes: #708654)
   * Adopt python-xmlrunner:
     - rename source package to match upstream
     - debhelper compat level 8
     - bring under the Debian Python Modules Team
     - standards version 3.9.4
     - use dh_python2
     - update debian/copyright
   * Activate tests (they are empty at the moment, but ready for
     when upstream adds some)
Checksums-Sha1: 
 58ec584bac419ef538489fd09998f727408d74f8 2148 unittest-xml-reporting_1.5.0-1.dsc
 0034da34c92e0ee3274c3c0eb3be9c503e070731 9104 unittest-xml-reporting_1.5.0.orig.tar.gz
 ff8d1366dafdb70ee2120e91ac04a6d7f61f2d9a 2475 unittest-xml-reporting_1.5.0-1.debian.tar.gz
 7017d95f8e44047c38203bbb3a7cec2766cddd95 9986 python-xmlrunner_1.5.0-1_all.deb
Checksums-Sha256: 
 c7f2a2e12dd32a4173235e63a302924c15a978f0b2d47596250c9e7dc6c4d88b 2148 unittest-xml-reporting_1.5.0-1.dsc
 fedf41d611831a425de6983959303ff7a94ea4c66dede3b8ce3e7b21a9bb19d0 9104 unittest-xml-reporting_1.5.0.orig.tar.gz
 622d4a063c92f5b9f006025e1d2dd3107e234dda18944064277cc5c47f98826c 2475 unittest-xml-reporting_1.5.0-1.debian.tar.gz
 f84e36b9bd540be0a8be95110a3e45fe8104d2983593a5ea6a6cacc40c939de4 9986 python-xmlrunner_1.5.0-1_all.deb
Files: 
 4a3972264b54a42dd47af5a8a7caf3db 2148 python optional unittest-xml-reporting_1.5.0-1.dsc
 e75b53274c00dd67047f86871ae391e5 9104 python optional unittest-xml-reporting_1.5.0.orig.tar.gz
 f791f273beaf490302d5d4cb7490a4d8 2475 python optional unittest-xml-reporting_1.5.0-1.debian.tar.gz
 faeb04044bb642fca2d0a5035b9ec58c 9986 python optional python-xmlrunner_1.5.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRrMNwAAoJEFC7AtTIpr9hHp0P/js1vDMJYdftgk/9rQFovVQT
CvR4PP359447G4Z7cwcpBWqKlbHRqkkISoU12wYGrjIrXOb85upnULISHjAPMzPT
R0WLWMYYlLrRgQw9/1iMCR8U7XTbvcm5Bk0viX9kA5nEaKy7OEwOS/Kq3tB22Cuj
roCx0C5WUt/DuWWVWE4ScLyBMovySAqLkYoWA3Zvu2XCJa8qHSEp1hrkU32I3OR4
8D+JhpP4nA89jq0/B0auWgHMcSigCr0em7GxUDV33M1s1khVu47B6iUnVqqLwbNC
QpXoCSTcVngndMnuZoKnwL1Yt0+Xb1lYO54fHg+XD+r6YXnAvTQPBN9nJLqlDXAE
Z6OIUF0vdav3bHSjDWZwPWuYBhwohqwJmXEXEFO3a93Q1oxLhe4q2RFkN+LY1J7y
MXlihP15hrPvHFSt44JxHeBrTvS3a6x2/HQIqJmH7kXW6q5ZK+mrWdBTpd0kpz43
2j4qAlWN3bj5WICgnY8zX4NweCaaRoDLqDiizQt8WKymaWLboDEKSqjKSeXG9Q4j
5DitAS/+C4HTp4aNS5tAdZkId8A5XdpWsDL9J09X9RdvrtkuZvYBor4qxLyCzi/J
n/SJHxmvnm+P1Vs3ClJH0pRMO9EMMzd1xtqquVjsUMURQcDlOZvvD3Tygi2YRuS7
Se9sXm94AqdS9WwiusMd
=pOHG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Sep 2013 07:29:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:58:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.